Has patch: Hito:
Description

The program fails to open a shapefile.

1. Open a new view.

2. Change its CRS to 32636 (which is the CRS of the file | want to load).

3. Load the attached shapefile.

4. The layer name appears in the ToC but with the check mark disabled (not visible).

As an additional information, | could load the file with no problem in gvSIG 2.2 and in JOSM (OSM java editor).

I'm also attaching the log file.

Related issues:
Duplicated by Application: gvSIG desktop - gvSIG bugs # 4151: Exeption Readin... Closed 02/29/2016

Associated revisions

Revision 42811 - 06/15/2016 04:42 PM - Joaquin del Cerro Murciano

refs #4098, #4151, #4156 . Modificaciones para que la gestion de capas con errores funcione de nuevo, presentando al usuario los errores
producidos. Se han mejorado los mensajes de error en el proveedor de shape, dando informacion en ellos de como el usuario puede rodear el
problema cuando esto es posible. Asi mismo se ha afadido la posibilidad de que en caliente se puedan corregir algunos problemas y se pueda volver
a recargar la capa sin tener que quitarla y volverla a cargar.

History

#1 - 03/02/2016 07:28 PM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

Hi Manuel,

| can reproduce the error: there's a LegendDrawingException due to the following topological error: Invalid number of points in LinearRing (found 3 -
must be 0 or >= 4), just like in #4151. The only difference is that your data is a multigeometries one and it seems that there's not a simple workaround
to skip the invalid geometries at the moment, because they're contained in an unique multigeometry that can't be splitted into single parts with the
available geoprocesses without catching an exception.

Related to #4151
#2 - 06/15/2016 04:47 PM - Joaquin del Cerro Murciano
- Duplicated by gvSIG bugs #4151: Exeption Reading shapefile.shp added

#3 - 06/15/2016 05:15 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#4 - 06/15/2016 05:19 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135, NOT USABLE)

#5 - 06/22/2016 12:43 PM - Antonio Falciano

- Target version changed from 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135, NOT USABLE) to 2.3.0-2430 (rev. org.gvsig.desktop-2.0.136, NOT
USABLE)

- Status changed from Fixed to Closed

A detailed explanation about how to open this shapefile is reported in #4151#note-6.

Files
gvSIG.log 384 KB 03/02/2016 Manuel Madrid
Tel_Aviv_Time3.zip 377 KB 03/02/2016 Manuel Madrid
